[Tutorial] Update 3DS 8.1 to 9.x

Discussion in '3DS - Tutorials' started by ashinnblunts, Dec 21, 2015.

  1. iCEQB

    iCEQB GBAtemp Advanced Fan

    Member
    682
    447
    Nov 2, 2013
    United States
    The first post says:

    And in the requirements it says you need Cubic Ninja -> Ninjhax ... so when you have no browser -> no Ninjhax -> no way to start HBL.

    Further down it also says:

    So in my eyes this tutorial is clearly for people who are on 8.1J WITH web browser.
     


  2. Arubaro

    Arubaro Soulspace Guardian

    Member
    1,669
    470
    Sep 4, 2015
    No, you don't need browser.
    It's simply saying that if you have browser, you can use this method too.
     
  3. sj33

    sj33 GBAtemp Addict

    Member
    2,713
    1,717
    Oct 22, 2013
    Japan
    @iCEQB - Have you read the tutorial? At no point in the tutorial does it require Ninjhax/Ironhax/Browserhax. etc. In fact, that's the whole point of the tutorial.

    The key word here is 'still', the implication being that people with a browser can update using other means, but this method can still be used.

    People with a browser can just use sysupdater, making this method unnecessary.
     
  4. iCEQB

    iCEQB GBAtemp Advanced Fan

    Member
    682
    447
    Nov 2, 2013
    United States
    Ok, that makes sense :D!
    Would be awesome if you could confirm that it worked for you, because honestly for me all of that sounded like no browser -> no updates.
    I thought the way Cubic Ninja gets exploited always requires a web browser, no matter what you do to that game.
    Because the Gateway QR code for Cubic Ninja also requires you to have internet connection (and web browser?) for it to work.
     
  5. sj33

    sj33 GBAtemp Addict

    Member
    2,713
    1,717
    Oct 22, 2013
    Japan
    It seems to be not necessarily the case. Both Gateway and NTR work on browserless 8.1J using Cubic Ninja. For some reason however, other CFW such as rxTools do not support the browserless method,

    If I actually take the plunge and do this, I'll post the results.
     
  6. iCEQB

    iCEQB GBAtemp Advanced Fan

    Member
    682
    447
    Nov 2, 2013
    United States
    If you do, please quote this post here, so I see it whenever you do :D
     
  7. sj33

    sj33 GBAtemp Addict

    Member
    2,713
    1,717
    Oct 22, 2013
    Japan
    Having trouble with errors using the NTR Debugger.

    I get to the third command that I'm supposed to type. As you can see, the server connects fine. Typing 'listprocess()' simply results in 'null' which may or may not be okay. However, the third line 'write(0x15E424, tuple(map(ord, "http://192.168.1.2/3dsupdate/index.php\0")), pid=0x25)' gives the error above and the server disconnects.

    Like others in this thread, I cannot see any entry for 'allow from all' in the httpd.conf, but I can actually connect to the server from my PC using the local address http://192.168.1.2 so I'm assuming this is not an issue.

    Any ideas?
     
  8. sj33

    sj33 GBAtemp Addict

    Member
    2,713
    1,717
    Oct 22, 2013
    Japan
    Sorry for the double post, but anybody considering doing this should probably now update to 10.6 then downgrade to 9.2 using the new svchax-based Sysupdater. I have done this and now I'm on 9.1.

    Do it before Nintendo release an update.
     
  9. iCEQB

    iCEQB GBAtemp Advanced Fan

    Member
    682
    447
    Nov 2, 2013
    United States
    Now I'm dissapointed in you :(
     
  10. hyno111

    hyno111 Member

    Newcomer
    20
    5
    Nov 9, 2014
    Switzerland
    I only have oots3d card so can not use ninjahax.
    Although I can boot in gateway memu and install mset, it is impossible to boot into rxtools using MSET 4.x exploit.
    Seems I should restore sysnand backup and update to 10.6 to downgrade, when it's still possible..
     
  11. b3l0kk

    b3l0kk Newbie

    Newcomer
    9
    0
    May 8, 2016
    United States
    Having one issue. When going to do the update the bar does not fill at all just error out after 5-8 mins. Any suggestions. Wamp is running. I followed the directions to the letter.
     
  12. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,113
    May 31, 2013
    Belarus
    Caves
    No need to follow this guide anymore. Just update to 11.2 and use Soundhax. https://3ds.guide/
     
  13. b3l0kk

    b3l0kk Newbie

    Newcomer
    9
    0
    May 8, 2016
    United States
    I know I can do that, but I don't want to lose Gateway compatibility. I have two 3DS, I want at leaset one of them to still be able to use the Gateway card.
     
  14. julialy

    julialy Homebrewer

    Member
    1,664
    575
    Nov 26, 2012
    United States
    United States
    You don't need to lose Gateway compatibility.
    You can use Gateway CFW (but it is NOT recommended since there's a chance of brick because of no firm protection)
     
  15. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,400
    577
    Nov 3, 2015
    Puerto Rico
    You don't lose it, just update to 11.2 and follow the guide, but downgrade the 3DS using the 9.2 CTRtransfer, that way you can use menuhax and boot into gateway mode.

    (I know he can use A9LH, but it's kinda better to use Menuhax to leave the upgrading risk aside)
     
  16. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,113
    May 31, 2013
    Belarus
    Caves
    There is no risk. My 3 systems are all on A9LH 11.2 and I still use the GW card from time to time using their arm9 payload (holding down at boot)

    There is no need for menuhax and just dont be a dick about things when in GW mode trying to update, etc. The info and precautions has been out there long enough about this.

    — Posts automatically merged - Please don't double post! —

    You lose nothing. GW works on 11.2 A9LH.
     
    Last edited by retrofan_k, Jan 12, 2017
  17. b3l0kk

    b3l0kk Newbie

    Newcomer
    9
    0
    May 8, 2016
    United States
    Ok, thanks for the info guys.